# -*- encoding: utf-8 -*-
# stub: sass-embedded 1.62.1 ruby lib
# stub: ext/sass/Rakefile

Gem::Specification.new do |s|
  s.name = "sass-embedded".freeze
  s.version = "1.62.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "documentation_uri" => "https://rubydoc.info/gems/sass-embedded/1.62.1", "funding_uri" => "https://github.com/sponsors/ntkme", "source_code_uri" => "https://github.com/ntkme/sass-embedded-host-ruby/tree/v1.62.1" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["\u306A\u3064\u304D".freeze]
  s.date = "2024-05-16"
  s.description = "A Ruby library that will communicate with Embedded Dart Sass using the Embedded Sass protocol.".freeze
  s.email = ["i@ntk.me".freeze]
  s.extensions = ["ext/sass/Rakefile".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "ext/sass/Rakefile".freeze, "ext/sass/expand-archive.ps1".freeze, "ext/sass/package.json".freeze, "lib/sass-embedded.rb".freeze, "lib/sass/compile_error.rb".freeze, "lib/sass/compile_result.rb".freeze, "lib/sass/embedded.rb".freeze, "lib/sass/embedded/async.rb".freeze, "lib/sass/embedded/channel.rb".freeze, "lib/sass/embedded/compiler.rb".freeze, "lib/sass/embedded/dispatcher.rb".freeze, "lib/sass/embedded/elf.rb".freeze, "lib/sass/embedded/host.rb".freeze, "lib/sass/embedded/host/function_registry.rb".freeze, "lib/sass/embedded/host/importer_registry.rb".freeze, "lib/sass/embedded/host/logger_registry.rb".freeze, "lib/sass/embedded/host/value_protofier.rb".freeze, "lib/sass/embedded/protofier.rb".freeze, "lib/sass/embedded/structifier.rb".freeze, "lib/sass/embedded/varint.rb".freeze, "lib/sass/embedded/version.rb".freeze, "lib/sass/logger/silent.rb".freeze, "lib/sass/logger/source_location.rb".freeze, "lib/sass/logger/source_span.rb".freeze, "lib/sass/script_error.rb".freeze, "lib/sass/value.rb".freeze, "lib/sass/value/argument_list.rb".freeze, "lib/sass/value/boolean.rb".freeze, "lib/sass/value/color.rb".freeze, "lib/sass/value/function.rb".freeze, "lib/sass/value/fuzzy_math.rb".freeze, "lib/sass/value/list.rb".freeze, "lib/sass/value/map.rb".freeze, "lib/sass/value/null.rb".freeze, "lib/sass/value/number.rb".freeze, "lib/sass/value/number/unit.rb".freeze, "lib/sass/value/string.rb".freeze]
  s.homepage = "https://github.com/ntkme/sass-embedded-host-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Use dart-sass with Ruby!".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<google-protobuf>.freeze, ["~> 3.21"])
    s.add_runtime_dependency(%q<rake>.freeze, [">= 10.0.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.12.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.50.0"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.17.1"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.6.0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.20.0"])
  else
    s.add_dependency(%q<google-protobuf>.freeze, ["~> 3.21"])
    s.add_dependency(%q<rake>.freeze, [">= 10.0.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.12.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.50.0"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.17.1"])
    s.add_dependency(%q<rubocop-rake>.freeze, ["~> 0.6.0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.20.0"])
  end
end
